CREATE TABLE fnd_tree_log (
    ENTERPRISE_ID          NUMBER(18, 0),
    LOG_ENTRY_ID           VARCHAR2(128),
    TREE_STRUCTURE_CODE    VARCHAR2(120)    NOT NULL,
    TREE_CODE              VARCHAR2(120)    NOT NULL,
    TREE_VERSION_ID        VARCHAR2(128)    NOT NULL,
    OPERATION_TYPE         VARCHAR2(128)    NOT NULL,
    CREATED_BY             VARCHAR2(256)    NOT NULL,
    CREATION_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128),
    ENTERPRISE_ID          NUMBER(18, 0),
    LOG_ENTRY_ID           VARCHAR2(128),
    TREE_STRUCTURE_CODE    VARCHAR2(120)    NOT NULL,
    TREE_CODE              VARCHAR2(120)    NOT NULL,
    TREE_VERSION_ID        VARCHAR2(128)    NOT NULL,
    OPERATION_TYPE         VARCHAR2(128)    NOT NULL,
    CREATED_BY             VARCHAR2(256)    NOT NULL,
    CREATION_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128),
    CONSTRAINT pk_fnd_tree_log PRIMARY KEY (ENTERPRISE_ID, LOG_ENTRY_ID, ENTERPRISE_ID, LOG_ENTRY_ID)
);
